
# Chinwa Chinese language resources

## Introduction

Chinwa was a website with some Chinese language learning resources: HSK lists in French and English, and some grammar points explained. The website is no longer online.

I earlier got some of their stuff and built learning lists with sound in different format: xml, json and csv.

These lists can easily be imported in Anki, or another program.

I made an Anki deck with sound: most of the sounds come from the Shtooka project [Shtooka project](https://shtooka.net) or on my website which maintains a copy of it (I added some missing parts) [Yojik Website](https://www.yojik.eu).

The missing sounds were created by Text To Speech: I tried many flavors of the system and ended using the sounds produced by Google translate. I wrote some script to automaticely download the sounds.

## The lists

I extracted the lists from the web pages. I built csv (comma separated value) files from the extraction:

Here is an example:

> 爱 	ài 	aimer, affection, apprécier

I added some fields: traditional writing, origin, sounds, so I got this:

> 爱	愛	ài	aimer / affection / apprécier	love		HSK1	`[sound:cmn-1cd08e6e.ogg]`	Chinwa	29233

The transformation program is written in nodejs/javascript: Ididn't know well the language at thi time, so, I decided to deep a bit with
real problem solving.

Th program generates 2 other files:

1.  a JSON file with the same content as the .csv files.

       {
              "hanzi": "爱 ",
              "traditional": "愛 ",
              "pinyin": "ài",
              "translation": "aimer / affection / apprécier ",
              "classifier": "",
              "lesson": "HSK1",
              "sound": "`[sound:cmn-2d9d12c4.ogg]`",
              "origin": "Chinwa"
       }

2.  a XML file, with the same content.

       <enregistrement>
        <hanzi>爱 </hanzi>
        <traditional>愛 </traditional>
        <pinyin>ài</pinyin>
        <translation>aimer / affection / apprécier </translation>
        <classifier/>
        <lesson>HSK1</lesson>
        <sound>[sound:cmn-2d9d12c4.ogg]</sound>
        <origin>Chinwa</origin>
       </enregistrement>

## The Anki decks

The Anki decks are created by importing the .csv files.

I created different notes, to exercise different parts of the language.

There are 7 different ways to learn:

* Normal

    This is like the normal use of Anki, with the Hanzi presented (recto) and the English or French translation presented on the verso face. There is sound associated.

* Sound

    You'll her the sound, and have to guess the translation (English or French.)

* Saisie-Hanzi

    The English/French translation is displayed, and you have to type the Hanzi correspondance.

* Saisie-Pinyin

    The English/French translation is displayed, and you have to type the Pinyin correspondance.

* Son-Saisie-Hanzi

    You'll hear the sound (Chinese) and will have to type the corresponding Hanzi.

* Son-Saisie-Pinyin

    You'll hear the sound (Chinese) and will have to type the corresponding Pinyin.

* Traditional

    This is like the Normal deck, but with traditional writing.
